# SetAllVariables(System.Collections.Generic.Dictionary\<string,float>,System.Collections.Generic.Dicti

Method in [VariableStorageBehaviour](/2.2/api/csharp/yarn.unity/yarn.unity.variablestoragebehaviour.md)

## Summary

Provides a unified interface for loading many variables all at once. Will override anything already in the variable storage.

```csharp
public abstract void SetAllVariables(System.Collections.Generic.Dictionary<string, float> floats, System.Collections.Generic.Dictionary<string, string> strings, System.Collections.Generic.Dictionary<string, bool> bools, bool clear = true);
```

## Parameters

| Name                                                            | Description                                                                                        |
| --------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| `bool` clear                                                    | Should the load also wipe the storage. Defaults to true so all existing variables will be cleared. |
| `System.Collections.Generic.Dictionary<string, float>` floats   |                                                                                                    |
| `System.Collections.Generic.Dictionary<string, string>` strings |                                                                                                    |
| `System.Collections.Generic.Dictionary<string, bool>` bools     |                                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.variablestoragebehaviour/yarn.unity.variablestoragebehaviour.setallvariables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
